Controllers/VuelosController.cs
using Microsoft.AspNetCore.Mvc;
using System.Collections.Generic;
using System.Linq;

using VuelosApp.Models;
using VuelosApp.Models.ViewModels;

namespace VuelosApp.Controllers
{
    public class VuelosController : Controller
    {
        public IActionResult Index()
        {
            MultiTypeFlightsViewModel viewModel = new MultiTypeFlightsViewModel();  
            viewModel.NationalFlights = DataMock.Flights.Where(f => f.FlightType.Equals(FlightType.National)).ToList();
            viewModel.NationalCities = City.NationalCities.ToList();

            viewModel.InternationalFlights = DataMock.Flights.Where(f => f.FlightType.Equals(FlightType.International)).ToList();
            viewModel.InternactionalCities = City.InternationalCities.ToList();
            return View(viewModel);
        }

        public IActionResult Nacionales()
        {
            FlightsViewModel viewModel = new FlightsViewModel();
            viewModel.Flights = DataMock.Flights.Where(f => f.FlightType.Equals(FlightType.National)).ToList();
            viewModel.Cities = City.NationalCities.ToList();
            ViewData["titulo"] = "Historial de vuelos nacionales";
            ViewData["origen"] = FlightType.National;
            return View(viewModel);
        }

        public IActionResult Internacionales()
        {
            FlightsViewModel viewModel = new FlightsViewModel();
            viewModel.Flights = DataMock.Flights.Where(f => f.FlightType.Equals(FlightType.International)).ToList();
            viewModel.Cities = City.InternationalCities.ToList();
            ViewData["titulo"] = "Historial de vuelos internacionales";
            ViewData["origen"] = FlightType.International;
            return View("Nacionales", viewModel);
        }

        public IActionResult FindFlights(string origin, string destination, string flighType)
        {
            FlightsViewModel viewModel = new FlightsViewModel();
            if (flighType.Equals(FlightType.National))
            {
                viewModel.Flights = DataMock.Flights.Where(f => f.FlightType.Equals(FlightType.National) && f.Origin.Equals(origin) &&
                                                            f.Destination.Equals(destination)).ToList();
                viewModel.Cities = City.NationalCities.ToList();
                ViewData["titulo"] = "Historial de vuelos nacionales";
                ViewData["origen"] = FlightType.National;
            }
            else
            {
                viewModel.Flights = DataMock.Flights.Where(f => f.FlightType.Equals(FlightType.International) && f.Origin.Equals(origin) &&
                                                            f.Destination.Equals(destination)).ToList();
                viewModel.Cities = City.InternationalCities.ToList();
                ViewData["titulo"] = "Historial de vuelos internacionales";
                ViewData["origen"] = FlightType.International;
            }

            return View("Nacionales", viewModel);
        }

        public IActionResult Create(string flightType)
        {
            if (string.IsNullOrEmpty(flightType)){
                flightType = FlightType.National;
            }else if(!flightType.Equals(FlightType.National) && !flightType.Equals(FlightType.International))
            {
                return StatusCode(500);
            }

            CreateFlightViewModel viewModel = new CreateFlightViewModel();

            if (FlightType.National.Equals(flightType))
            {
                viewModel.Cities = City.NationalCities.ToList(); 
            }
            else
            {
                viewModel.Cities = City.InternationalCities.ToList();
            }

            viewModel.States = new List<string>() { State.Waiting, State.Arrival, State.OnWay, State.OnBoarding, State.Closed };

            ViewData["FlightType"] = flightType;

            return View(viewModel);
        }

        public IActionResult Save(Flight flight)
        {
            List<string> errors = ValidFlightForm(flight);

            if(errors.Count > 0)
            {
                CreateFlightViewModel viewModel = new CreateFlightViewModel();
                viewModel.States = new List<string>() { State.Waiting, State.Arrival, State.OnWay, State.OnBoarding, State.Closed };
                viewModel.Errors = errors;
                return View("create", viewModel);
            }

            DataMock.Flights.Add(flight);

            if (FlightType.National.Equals(flight.FlightType))
            {
                return RedirectToAction(nameof(Nacionales));
            }
            else
            {
                return RedirectToAction(nameof(Internacionales));
            }
        }

        private List<string> ValidFlightForm(Flight flight)
        {
            List<string> errors = new List<string>();

            if (string.IsNullOrEmpty(flight.Origin))
            {
                errors.Add("El origen no puede estar vacio");
            }

            if (string.IsNullOrEmpty(flight.Destination))
            {
                errors.Add("El destino no puede estar vacio");
            }

            if (string.IsNullOrEmpty(flight.NumFlight))
            {
                errors.Add("El número de vuelo no puede estar vacio");
            }

            if (string.IsNullOrEmpty(flight.State))
            {
                errors.Add("El estado del vuelo no puede estar vacio");
            }

            if (flight.Date.Equals(new System.DateTime(1, 1, 1)))
            {
                errors.Add("La fecha no puede estar vacia");
            }

            if (flight.Origin.Equals(flight.Destination))
            {
                errors.Add("El origen y el destino no pueden ser iguales");
            }

            return errors;
        }
    }
}

Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - VuelosApp</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/site.css" />
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-light bg-white border-bottom box-shadow mb-3">
            <div class="container">
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="navbar-collapse collapse d-sm-inline-flex justify-content-center">
                    <ul class="navbar-nav ">
                        <li class="nav-item">
                            <a class="nav-link text-dark m-1" asp-area="" asp-controller="Vuelos" asp-action="Nacionales">Vuelos Nacionales</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-dark m-1" asp-area="" asp-controller="Vuelos" asp-action="Internacionales">Vuelos Internacionales</a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </header>
    <div class="container">
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>

    <footer class="border-top footer text-muted">
        <div class="container">
            &copy; 2022 - VuelosApp - <a asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
        </div>
    </footer>
    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>
    @await RenderSectionAsync("Scripts", required: false)
</body>
</html>